Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class AssignmentSpecification

    java.lang.Object
      org.hibernate.hql.internal.ast.tree.AssignmentSpecification

    public class AssignmentSpecification

extends Object

Encapsulates the information relating to an individual assignment within the set clause of an HQL update statement. This information is used during execution of the update statements when the updates occur against "multi-table" stuff.

Constructor Summary
`AssignmentSpecification(antlr.collections.AST eq, Queryable persister)`

Method Summary
`boolean` | `affectsTable(String tableName)`
`ParameterSpecification[]` | `getParameters()`
`String` | `getSqlAssignmentFragment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignmentSpecification

    public AssignmentSpecification(antlr.collections.AST eq,
                                   Queryable persister)

Method Detail

### affectsTable

    public boolean affectsTable(String tableName)

### getParameters

    public ParameterSpecification[] getParameters()

### getSqlAssignmentFragment

    public String getSqlAssignmentFragment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.